wicket-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Damien M. (JIRA)" <j...@apache.org>
Subject [jira] [Created] (WICKET-5556) Error in wicket-autocomplete.js bad reference of $
Date Thu, 10 Apr 2014 13:25:14 GMT
Damien M. created WICKET-5556:
---------------------------------

             Summary: Error in wicket-autocomplete.js bad reference of $
                 Key: WICKET-5556
                 URL: https://issues.apache.org/jira/browse/WICKET-5556
             Project: Wicket
          Issue Type: Bug
          Components: wicket-extensions
    Affects Versions: 6.14.0
            Reporter: Damien M.
            Priority: Critical


Since wicket 6.14, autocomplete component throw an error when positionning autocomplete-menu.


TypeError: $(...).offset is not a function 

In fact, in wicket-autocomplete.js (line 592), getPosition use $(obj) instead of Wicket.$(obj)
: 

For apps with other js lib, it's really critique because a JS error freeze other js action.

Quick fix is to change :
line 592 of wicket-autocomplete.js 
--> Wicket.$(obj) instead of $(obj) 

Thanks



--
This message was sent by Atlassian JIRA
(v6.2#6252)

Mime
View raw message